[SCM] Samba Shared Repository - branch master updated

Andrew Tridgell tridge at samba.org
Mon Jan 10 18:11:02 MST 2011


The branch, master has been updated
       via  ec103b3 script: tag the releases
       via  20418cc script: added librelease.sh script
       via  af91d31 autobuild: added "make distcheck" for our libs
       via  9814894 s4: fixed 'make dist' not to need configure for s4
      from  86d06ad Fix "make test" - ensure nmbd runs with -S (log to stdout). Also ensure nmbd socket directory isn't created (nmbd will create it).

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit ec103b327627a8083a5eec4f4b3b2a3b233fd8f2
Author: Andrew Tridgell <tridge at samba.org>
Date:   Tue Jan 11 11:22:04 2011 +1100

    script: tag the releases
    
    Autobuild-User: Andrew Tridgell <tridge at samba.org>
    Autobuild-Date: Tue Jan 11 02:10:05 CET 2011 on sn-devel-104

commit 20418ccc1461404d69646e9c39c1c86ed88044ce
Author: Andrew Tridgell <tridge at samba.org>
Date:   Tue Jan 11 10:55:07 2011 +1100

    script: added librelease.sh script
    
    this is used to make library releases

commit af91d318606b609e08c25ac5eaf420d4b236d6c2
Author: Andrew Tridgell <tridge at samba.org>
Date:   Tue Jan 11 10:54:28 2011 +1100

    autobuild: added "make distcheck" for our libs
    
    this ensures that release creation always works

commit 9814894dafb9a2b7f7247db22c3e0c347ffe916c
Author: Andrew Tridgell <tridge at samba.org>
Date:   Tue Jan 11 09:47:23 2011 +1100

    s4: fixed 'make dist' not to need configure for s4

-----------------------------------------------------------------------

Summary of changes:
 script/autobuild.py  |    5 +++
 script/librelease.sh |   74 ++++++++++++++++++++++++++++++++++++++++++++++++++
 source4/Makefile     |    6 +++-
 3 files changed, 83 insertions(+), 2 deletions(-)
 create mode 100755 script/librelease.sh


Changeset truncated at 500 lines:

diff --git a/script/autobuild.py b/script/autobuild.py
index 3b11b39..a1f8a5c 100755
--- a/script/autobuild.py
+++ b/script/autobuild.py
@@ -39,6 +39,7 @@ tasks = {
                           ("install", "make install", "text/plain"),
                           ("test", "TDB_NO_FSYNC=1 make test", "text/plain"),
                           ("check-clean-tree", "../../../script/clean-source-tree.sh", "text/plain"),
+                          ("distcheck", "make distcheck", "text/plain"),
                           ("clean", "make clean", "text/plain") ],
 
     # We don't use TDB_NO_FSYNC=1 here, because we want to test the transaction code
@@ -47,6 +48,7 @@ tasks = {
                   ("install", "make install", "text/plain"),
                   ("test", "make test", "text/plain"),
                   ("check-clean-tree", "../../script/clean-source-tree.sh", "text/plain"),
+                  ("distcheck", "make distcheck", "text/plain"),
                   ("clean", "make clean", "text/plain") ],
 
     "lib/talloc" : [ ("configure", "./configure --enable-developer -C ${PREFIX}", "text/plain"),
@@ -54,6 +56,7 @@ tasks = {
                      ("install", "make install", "text/plain"),
                      ("test", "make test", "text/plain"),
                      ("check-clean-tree", "../../script/clean-source-tree.sh", "text/plain"),
+                     ("distcheck", "make distcheck", "text/plain"),
                      ("clean", "make clean", "text/plain") ],
 
     "lib/replace" : [ ("autogen", "./autogen-waf.sh", "text/plain"),
@@ -62,6 +65,7 @@ tasks = {
                       ("install", "make install", "text/plain"),
                       ("test", "make test", "text/plain"),
                       ("check-clean-tree", "../../script/clean-source-tree.sh", "text/plain"),
+                      ("distcheck", "make distcheck", "text/plain"),
                       ("clean", "make clean", "text/plain") ],
 
     "lib/tevent" : [ ("configure", "./configure --enable-developer -C ${PREFIX}", "text/plain"),
@@ -69,6 +73,7 @@ tasks = {
                      ("install", "make install", "text/plain"),
                      ("test", "make test", "text/plain"),
                      ("check-clean-tree", "../../script/clean-source-tree.sh", "text/plain"),
+                     ("distcheck", "make distcheck", "text/plain"),
                      ("clean", "make clean", "text/plain") ],
 
     "pidl" : [ ("configure", "perl Makefile.PL PREFIX=${PREFIX_DIR}", "text/plain"),
diff --git a/script/librelease.sh b/script/librelease.sh
new file mode 100755
index 0000000..1c75bf1
--- /dev/null
+++ b/script/librelease.sh
@@ -0,0 +1,74 @@
+#!/bin/bash
+# make a release of a Samba library
+
+if [ ! -d ".git" ]; then
+	echo "Run this script from the top-level directory in the"
+	echo "repository"
+	exit 1
+fi
+
+if [ $# -lt 1 ]; then
+    echo "Usage: librelease.sh <LIBNAMES>"
+    exit 1
+fi
+
+
+release_lib() {
+    lib="$1"
+    srcdir="$2"
+
+    pushd $srcdir
+
+    echo "Releasing library $lib"
+
+    echo "building release tarball"
+    tgzname=$(make dist 2>&1 | grep ^Created | cut -d' ' -f2)
+    [ -f "$tgzname" ] || {
+	echo "Failed to create tarball"
+	exit 1
+    }
+    tarname=$(basename $tgzname .gz)
+    echo "Tarball: $tarname"
+    gunzip -f $tgzname || exit 1
+    [ -f "$tarname" ] || {
+	echo "Failed to decompress tarball $tarname"
+	exit 1
+    }
+
+    tagname=$(basename $tarname .tar | sed s/[\.]/-/g)
+    echo "tagging as $tagname"
+    git tag -s "$tagname" -m "$lib: tag release $tagname"
+
+    echo "signing"
+    rm -f "$tarname.asc"
+    gpg --detach-sign --armor $tarname || exit 1
+    [ -f "$tarname.asc" ] || {
+	echo "Failed to create signature $tarname.asc"
+	exit 1
+    }
+    echo "compressing"
+    gzip -f -9 $tarname
+    [ -f "$tgzname" ] || {
+	echo "Failed to compress $tgzname"
+	exit 1
+    }
+
+    echo "Transferring"
+    rsync -Pav $tarname.asc $tgzname master.samba.org:~ftp/pub/$lib/
+
+    popd
+}
+
+for lib in $*; do
+    case $lib in
+	talloc | tdb | tevent)
+	    release_lib $lib "lib/$lib"
+	    ;;
+	ldb)
+	    release_lib $lib "source4/lib/$lib"
+	    ;;
+	*)
+	    echo "Unknown library $lib"
+	    exit 1
+    esac
+done
diff --git a/source4/Makefile b/source4/Makefile
index 77b3189..bc77be9 100644
--- a/source4/Makefile
+++ b/source4/Makefile
@@ -29,10 +29,12 @@ quicktest:
 	$(WAF) test --quick $(TEST_OPTIONS)
 
 dist:
-	$(WAF) dist
+	touch .tmplock
+	WAFLOCK=.tmplock $(WAF) dist
 
 distcheck:
-	$(WAF) distcheck
+	touch .tmplock
+	WAFLOCK=.tmplock $(WAF) distcheck
 
 clean:
 	$(WAF) clean


-- 
Samba Shared Repository


More information about the samba-cvs mailing list